---
kind: pipeline
type: docker
name: default-linux-amd64

steps:
  - name: build
    image: golang
    commands:
      - ./ci-build.sh
    environment:
      GOOS: linux
      GOARCH: amd64
  - name: release
    image: plugins/gitea-release
    settings:
      base_url: https://git.paulbsd.com
      api_key:
        from_secret: gitea_token
      files: dist/*.tar.gz
    checksum:
      - sha256
      - sha512
    when:
      event: tag

---
kind: pipeline
type: docker
name: default-linux-arm64

steps:
  - name: build
    image: golang
    commands:
      - ./ci-build.sh
    environment:
      GOOS: linux
      GOARCH: arm64
  - name: release
    image: plugins/gitea-release
    settings:
      base_url: https://git.paulbsd.com
      api_key:
        from_secret: gitea_token
      files: dist/*.tar.gz
    checksum:
      - sha256
      - sha512
    when:
      event: tag

---
kind: pipeline
type: docker
name: default-netbsd-amd64

steps:
  - name: build
    image: golang
    commands:
      - ./ci-build.sh
    environment:
      GOOS: netbsd
      GOARCH: amd64
  - name: release
    image: plugins/gitea-release
    settings:
      base_url: https://git.paulbsd.com
      api_key:
        from_secret: gitea_token
      files: dist/*.tar.gz
    checksum:
      - sha256
      - sha512
    when:
      event: tag
